This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 226904

Summary: Review Request: qmpdclient - MPD client
Product: [Fedora] Fedora Reporter: Michał Bentkowski <mr.ecik>
Component: Package ReviewAssignee: Jason Tibbitts <tibbs>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mszpak
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-09 10:45:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Michał Bentkowski 2007-02-01 17:35:37 EST
Spec URL: http://ecik.nonlogic.org/rpm/qmpdclient/qmpdclient.spec
SRPM URL: http://ecik.nonlogic.org/rpm/qmpdclient/qmpdclient-1.0.7-1.src.rpm
Description: A very advanced MPD client written in Qt4.
Comment 1 Trond Danielsen 2007-04-05 03:35:02 EDT
Are these warnings a problem?

[trondd@localhost i386]$ rpmlint -v qmpdclient-*
I: qmpdclient checking
I: qmpdclient-debuginfo checking
W: qmpdclient-debuginfo hidden-file-or-dir /usr/src/debug/qmpdclient-1.0.7/.res
W: qmpdclient-debuginfo hidden-file-or-dir /usr/src/debug/qmpdclient-1.0.7/.res
W: qmpdclient-debuginfo hidden-file-or-dir /usr/src/debug/qmpdclient-1.0.7/.ui
W: qmpdclient-debuginfo hidden-file-or-dir /usr/src/debug/qmpdclient-1.0.7/.ui
W: qmpdclient-debuginfo hidden-file-or-dir /usr/src/debug/qmpdclient-1.0.7/.moc
W: qmpdclient-debuginfo hidden-file-or-dir /usr/src/debug/qmpdclient-1.0.7/.moc
Comment 2 Michał Bentkowski 2007-04-05 05:20:08 EDT
(In reply to comment #1)
> Are these warnings a problem?
> 

I don't think so. They all are connected with debuginfo subpackage and I have no
influence on it
Comment 3 Bernard Johnson 2007-04-11 19:08:02 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Are these warnings a problem?
> > 
> 
> I don't think so. They all are connected with debuginfo subpackage and I have no
> influence on it

Install the -debuginfo package and take a look at the files in that directory. 
I'm pretty sure you'll find that it's preprocessed code from the compile, which
I'm assuming that you'll need for the -debuginfo packages.
Comment 4 Jason Tibbitts 2007-05-31 01:14:37 EDT
I've no idea why the Component changed like that.
Comment 5 Jason Tibbitts 2007-05-31 18:35:34 EDT
I don't see any problems with the rpmlint warnings.  find-debuginfo.sh has
decided they are source and need to be in the -debuginfo subpackage, and I
certainly wouldn't want to remove them.

Any chance you could perhaps flesh out the summary a bit and maybe define "MPD"
in the %description?

I would suggest something like:

Summary: Easy to use MPD client written in Qt4 
%description
A very advanced and easy to use MPD (Music Player Daemon) client written in Qt4.
 You will need a running MPD instance running somewhere on your network in order
to make use of this software.

Other than that, this package looks good.  I'll go ahead and approve it and you
can provide something more descriptive when you check in.

Review:
* source files match upstream:
   4d01940020414cb5c16299dd03f32bc00daa2defc7805348b71ef7ff42d2c5d2
   qmpdclient-1.0.7.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X summary is OK.
X description is a bit lacking.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only ignoreable complaints.
* final provides and requires are sane:
   qmpdclient = 1.0.7-1.fc7
  =
   /bin/sh
   hicolor-icon-theme
   libQtCore.so.4()(64bit)
   libQtGui.so.4()(64bit)
   libX11.so.6()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libpthread.so.0()(64bit)
   libpthread.so.0(GLIBC_2.2.5)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)

* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (gtk-update-icon-cache).
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.
* desktop file present: looks OK and is installed properly.
Comment 6 Michał Bentkowski 2007-07-09 07:13:56 EDT
Sorry for a late answer.
Well, apart from qmpdclient I packaged sonata - another mpd client. It appeared
that sonata is much better mpd client for me so I am no longer interested in 
qmpdclient since I don't use it anymore.
Comment 7 Jason Tibbitts 2007-07-09 10:45:25 EDT
Withdrawing approval and closing this ticket.